package com.muzhi.tb.controller;

import com.muzhi.tb.service.TbService;
import com.muzhi.tb.service.YiDaService;
import com.muzhi.tb.service.impl.YiDaServiceImpl;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @Author ZhangKan
 * @Data 15:03
 */

@Api(description = "TB接口")
@RestController
@RequestMapping("/yidaservice")
public class YiDaController {

    @Autowired
    private YiDaService yiDaService;

    //创建宜搭项目表单
    @PostMapping("createYiDaXM")
    public String createYiDaXM(String dingUserid,String mapJson) throws Exception{

        String yiDaXM = yiDaService.createYiDaXM(dingUserid,mapJson);
        System.out.println(yiDaXM);
        return yiDaXM;
    }

    //创建宜搭任务表单
    @PostMapping("createYiDaRW")
    public String createYiDaRW(String dingUserid,String mapJson) throws Exception{

        String yiDaRW = yiDaService.createYiDaRW(dingUserid,mapJson);
        System.out.println(yiDaRW);
        return yiDaRW;
    }
}
